JNA API 3.3.0

## com.sun.jna.platform.win32
Class Advapi32Util.EventLogRecord

    java.lang.Object
      com.sun.jna.platform.win32.Advapi32Util.EventLogRecord

Enclosing class:
  Advapi32Util

    public static class Advapi32Util.EventLogRecord

extends Object

An event log record.

Constructor Summary
`Advapi32Util.EventLogRecord(Pointer pevlr)`

Method Summary
`byte[]` | `getData()` Raw data associated with the record.
`int` | `getEventId()` Event Id.
`int` | `getLength()` Record length, with data.
`WinNT.EVENTLOGRECORD` | `getRecord()` Raw record data.
`int` | `getRecordNumber()` Record number of the record.
`String` | `getSource()` Event source.
`int` | `getStatusCode()` Status code for the facility, part of the Event ID.
`String[]` | `getStrings()` Strings associated with this event.
`Advapi32Util.EventLogType` | `getType()` Event log type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Advapi32Util.EventLogRecord

    public Advapi32Util.EventLogRecord(Pointer pevlr)

Method Detail

### getRecord

    public WinNT.EVENTLOGRECORD getRecord()

  Raw record data.

  Returns:
    EVENTLOGRECORD.

### getEventId

    public int getEventId()

  Event Id.

  Returns:
    Integer.

### getSource

    public String getSource()

  Event source.

  Returns:
    String.

### getStatusCode

    public int getStatusCode()

  Status code for the facility, part of the Event ID.

  Returns:
    Status code.

### getRecordNumber

    public int getRecordNumber()

  Record number of the record. This value can be used with the EVENTLOG_SEEK_READ flag in the ReadEventLog function to begin reading at a specified record.

  Returns:
    Integer.

### getLength

    public int getLength()

  Record length, with data.

  Returns:
    Number of bytes in the record including data.

### getStrings

    public String[] getStrings()

  Strings associated with this event.

  Returns:
    Array of strings or null.

### getType

    public Advapi32Util.EventLogType getType()

  Event log type.

  Returns:
    Event log type.

### getData

    public byte[] getData()

  Raw data associated with the record.

  Returns:
    Array of bytes or null.

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.